Перейти до вмісту
AstroWay/api v2.19.0 · docs
усі системи в нормі
UA EN

Generate Business Astrology Report (PDF or HTML)

POST
/reports/business

Founding-chart analysis (mundane astrology). Highlights Sun (purpose), MC (reputation), Jupiter (growth), Saturn (structure). Disclaimer: “not financial advice”.

curl -X POST https://api.astroway.info/v1/reports/business \
-H "X-Api-Key: aw_live_..." \
-H "Content-Type: application/json" \
-d '{ "chart": { "date": "2020-01-15", "time": "09:00:00", "timezoneOffset": -5, "latitude": 40.7128, "longitude": -74.006, "name": "MyCompany Inc" }, "language": "en" }'
object
Example
{
"chart": {
"date": "2020-01-15",
"time": "09:00:00",
"timezoneOffset": -5,
"latitude": 40.7128,
"longitude": -74.006,
"name": "MyCompany Inc"
},
"language": "en"
}

Successful calculation

object
ok
boolean
Example
true
data
object
url
string
storage_key
string
byte_length
number
page_count
number
duration_ms
number
expires_at
string
Example
{
"ok": true,
"data": {
"url": "https://api.astroway.info/reports/abc-business.pdf",
"storage_key": "reports/abc-business.pdf",
"byte_length": 132000,
"page_count": 2,
"duration_ms": 4200,
"expires_at": "2026-05-09T07:00:00Z"
}
}

Validation error

Example
{
"ok": false,
"error": {
"code": "INVALID_INPUT",
"message": "Validation failed: date: Date must be YYYY-MM-DD",
"details": [
{
"path": "date",
"message": "Date must be YYYY-MM-DD"
}
]
}
}

Missing or invalid API key

Example
{
"ok": false,
"error": {
"code": "INVALID_API_KEY",
"message": "Invalid API key"
}
}
Корисно?